<?php

declare(strict_types=1);

namespace PrestaShop\Module\ConotoxiaPay\Repository;

use Db;

/**
 * Class PaymentRepository
 * @package PrestaShop\Module\ConotoxiaPay\Repository
 */
class PaymentRepository
{
    /**
     * @param string $id_payment
     * @return array|false|\mysqli_result|\PDOStatement|resource|null
     * @throws \PrestaShopDatabaseException
     */
    public static function isRefundCreationAllowed($id_payment)
    {
        $result = Db::getInstance()->executeS('
            SELECT `status`, `max_refund_achieved`
            FROM `' . _DB_PREFIX_ . 'conpay_payment` 
            WHERE `id_payment` = \'' . $id_payment . '\''
        );
        if (isset($result[0]['status']) || isset($result[0]['max_refund_achieved'])) {
            return $result[0]['status'] === 'BOOKED' && $result[0]['max_refund_achieved'] === '0';
        }
        return false;
    }

    /**
     * @param string $id_payment
     * @param string $status
     * @return array|false|\mysqli_result|\PDOStatement|resource|null
     */
    public static function updatePaymentStatus($id_payment, $status)
    {
        return Db::getInstance()->execute('
            UPDATE `' . _DB_PREFIX_ . 'conpay_payment` 
            SET `status` = \'' . $status . '\'
            WHERE `id_payment` = \'' . $id_payment . '\' AND 
                  `status` NOT IN ("BOOKED", "CANCELLED", "REJECTED")'
        );
    }

    /**
     * @param string $id_refund
     * @return array|false|\mysqli_result|\PDOStatement|resource|null
     */
    public static function setMaxRefundAchieved($id_refund)
    {
        return Db::getInstance()->execute('
            UPDATE `' . _DB_PREFIX_ . 'conpay_payment` 
            SET `max_refund_achieved` = 1
            WHERE `id_payment` = (
                SELECT DISTINCT `id_payment` 
                FROM `' . _DB_PREFIX_ . 'conpay_refund`
                WHERE `id_refund` = \'' . $id_refund . '\'
            )'
        );
    }

    /**
     * @param int $id_order
     * @param string $id_payment
     * @return array|false|\mysqli_result|\PDOStatement|resource|null
     */
    public static function createPayment($id_order, $id_payment)
    {
        return Db::getInstance()->execute('
            INSERT INTO `' . _DB_PREFIX_ . 'conpay_payment` (
                `status`, 
                `max_refund_achieved`,
                `id_payment`, 
                `id_order`
            ) VALUES (
                \'UNKNOWN\',
                0,
                \'' . $id_payment . '\',
                ' . $id_order . '
            )'
        );
    }
}