<div class="tab-pane fade show active" id="refundsTabContent" role="tabpanel" aria-labelledby="refundsTab">
    <table class="table">
        <thead>
        <tr>
            <th><span class="title_box ">{l s='Date' mod='conotoxiapay'}</span></th>
            <th><span class="title_box ">{l s='Payment method' mod='conotoxiapay'}</span></th>
            <th><span class="title_box ">{l s='Transaction ID' mod='conotoxiapay'}</span></th>
            <th><span class="title_box ">{l s='Amount' mod='conotoxiapay'}</span></th>
            <th><span class="title_box ">{l s='Status' mod='conotoxiapay'}</span></th>
            <th></th>
        </tr>
        </thead>
        <tbody>
        {if $conpay_refunds|@count == 0}
            <tr>
                <td>-</td>
                <td>-</td>
                <td>-</td>
                <td>-</td>
                <td>-</td>
                <td></td>
            </tr>
        {/if}
        {foreach from=$conpay_refunds key=element item=i}
            <tr>
                <td>{dateFormat date=$i.date full=true}</td>
                <td>{l s='Conotoxia Pay' mod='conotoxiapay'}</td>
                <td>{$i.id_refund}</td>
                <td>{if $i.amount != -1}{displayPrice price=$i.amount currency=$i.id_currency}{/if}</td>
                <td>{$i.status}</td>
                <td class="actions">
                    <button class="btn btn-sm btn-outline-secondary"
                            onclick="window.open('{l s='https://fx.conotoxia.com/merchant/refunds/view/' mod='conotoxiapay'}{$i.id_refund}', '_blank');">
                        <i class="icon-search"></i>
                        {l s='Details' mod='conotoxiapay'}
                    </button>
                </td>
            </tr>
        {/foreach}
        </tbody>
    </table>

    <div class="alert alert-info">
        <p>{l s='To check the price list of refunds, go' mod='conotoxiapay'} <a
                    href="{l s='https://conotoxia.com/payments/for-partners/pricing' mod='conotoxiapay'}" target="_blank" rel="noopener noreferrer">{l s='here' mod='conotoxiapay'}</a>
        </p>
    </div>
    <div class="alert alert-info">
        <p>{l s='You can also request a refund in the' mod='conotoxiapay'} <a
                    href="{l s='https://fx.conotoxia.com/merchant/payments/view/' mod='conotoxiapay'}{$payment_id}"
                    target="_blank" rel="noopener noreferrer">{l s='Merchants Panel' mod='conotoxiapay'}</a>
        </p>
    </div>

    {if $conpay_show_refund_creation_form}
        <div class="row">
            <div class="col-sm-7 offset-sm-5">
                <form name="create_refund" method="post" action="" class="form-horizontal"
                      onsubmit="return confirm('{l s='Do you really want to submit the refund request?' mod='conotoxiapay'}');">

                    <div class="input-group">

                        <select id="conpay_refund_type" class="custom-select form-control ">
                            <option value="FULL"{if $conpay_refund_type eq "FULL"} selected="selected"{/if}>{l s='Full refund' mod='conotoxiapay'}</option>
                            <option value="PARTIAL"{if $conpay_refund_type eq "PARTIAL"} selected="selected"{/if}>{l s='Partial refund' mod='conotoxiapay'}</option>
                        </select>

                        <input type="text" id="conpay_refund_amount" name="conpay_refund_amount"
                               class="form-control ml-3">
                        <div class="input-group-append">
                            <span class="input-group-text">{$conpay_refund_currency}</span>
                        </div>

                        <input type="text" id="conpay_refund_reason" name="conpay_refund_reason"
                               value="{$conpay_refund_reason}" class="form-control ml-3"
                               placeholder="{l s='Description' mod='conotoxiapay'}"/>

                        <input type="hidden" value="{$conpay_form_token}" name="conpay_token_check"/>

                        <button type="submit" name="conpay_refund_submit" value="conpay_refund_submit"
                                class="btn btn-primary btn-sm ml-3">
                            {l s='Perform refund' mod='conotoxiapay'}
                        </button>
                    </div>
                </form>
            </div>
            <script>
                {literal}
                $(document).ready(function () {
                    var refund_type_select = $('#conpay_refund_type');
                    var set_type = function (type) {
                        if ('FULL' === type) {
                            $('#conpay_refund_amount').attr('readonly', true).val('{/literal}{$conpay_refund_full_amount}{literal}');
                        } else {
                            $('#conpay_refund_amount').attr('readonly', false);
                        }
                    };
                    set_type(refund_type_select.val());
                    refund_type_select.on('change', function () {
                        set_type(refund_type_select.val());
                    });
                });
                {/literal}
            </script>
        </div>
    {/if}
    {capture assign=refund_alert}
        {if $show_success}
            <div class="alert alert-success d-print-none" role="alert">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true"><i class="material-icons">close</i></span>
                </button>
                <div class="alert-text">
                    <p>{$alert_message}</p>
                </div>
            </div>
        {/if}
        {if $show_error}
            <div class="alert alert-danger d-print-none" role="alert">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true"><i class="material-icons">close</i></span>
                </button>
                <div class="alert-text">
                    <p>{$alert_message}</p>
                </div>
            </div>
        {/if}
    {/capture}
    <script>
        $(document).ready(function () {
            $("{$refund_alert|escape:'javascript':'UTF-8'}").insertBefore($('#order-view-page').first(), null);
        });
    </script>
</div>